import request from '@/utils/request'

// 查询充值记录列表
export function listAccountRecharge(query) {
  return request({
    url: '/cai/accountRecharge/list',
    method: 'get',
    params: query
  })
}

// 查询充值记录详细
export function getAccountRecharge(id) {
  return request({
    url: '/cai/accountRecharge/' + id,
    method: 'get'
  })
}

// 新增充值记录
export function addAccountRecharge(data) {
  return request({
    url: '/cai/accountRecharge',
    method: 'post',
    data: data
  })
}

// 修改充值记录
export function updateAccountRecharge(data) {
  return request({
    url: '/cai/accountRecharge',
    method: 'put',
    data: data
  })
}

// 删除充值记录
export function delAccountRecharge(id) {
  return request({
    url: '/cai/accountRecharge/' + id,
    method: 'delete'
  })
}
